//  RW Dollhouse
// ==============
// Docking, Charging-System, Storage, and General Outboard Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/dollhouse/dollhouse.cpp
// -Definitions of the baseline RW Dollhouse library

#include "incls_all.hpp"

namespace rw::dollhouse {

//------------------------------------------------------------------------------
Dollhouse_b::Dollhouse_b() : Dollhouse_b{"dollhouse_b_obj"} {}

//------------------------------------------------------------------------------
Dollhouse_b::Dollhouse_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Dollhouse::Dollhouse() : Dollhouse{"dollhouse_obj"} {}

//------------------------------------------------------------------------------
Dollhouse::Dollhouse(std::string const& handle) : Dollhouse_b{handle} {}

}  // namespace rw::dollhouse

//    --=^=--

// "Now be careful. If you go for a full charge, it can get up there."

// rw_dollhouse_lib.v211204
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
