//   RW Hearsay
// ==============
// Speech Recognition & Synthesis, and NLP Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/hearsay/hearsay.cpp
// -Definitions of the baseline RW Hearsay library

#include "incls_all.hpp"

namespace rw::hearsay {

//------------------------------------------------------------------------------
Hearsay_b::Hearsay_b() : Hearsay_b{"hearsay_b_obj"} {}

//------------------------------------------------------------------------------
Hearsay_b::Hearsay_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Hearsay::Hearsay() : Hearsay{"hearsay_obj"} {}

//------------------------------------------------------------------------------
Hearsay::Hearsay(std::string const& handle) : Hearsay_b{handle} {}

}  // namespace rw::hearsay

//    --=^=--

// "______"

// rw_hearsay_lib.v211204
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
