//    RW Shell
// ==============
// Robowaifu Shell, and General Inboard Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/shell/shell.cpp
// -Definitions of the baseline RW Shell library

#include "incls_all.hpp"

namespace rw::shell {

//------------------------------------------------------------------------------
Shell_b::Shell_b() : Shell_b{"shell_b_obj"} {}

//------------------------------------------------------------------------------
Shell_b::Shell_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Shell::Shell() : Shell{"shell_obj"} {}

//------------------------------------------------------------------------------
Shell::Shell(std::string const& handle) : Shell_b{handle} {}

}  // namespace rw::shell

//    --=^=--

// "______"

// rw_shell_lib.v211204
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
