//   RW Meido
// ==============
// Household Domestics: Cooking, Cleaning, &tc. Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/meido.hpp
// -Declarations of the baseline RW Meido library

#pragma once

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
class Meido_b : public RW {
 public:
  Meido_b();                                    // default ctor
  explicit Meido_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Meido : public Meido_b {
 public:
  Meido();                                    // default ctor
  explicit Meido(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v211204
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
