//   RW Sumomo
// ==============
// Demonstration of a Chibitsu-grade robowaifu
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/sumomo.cpp
// -Definitions of the baseline RW Sumomo project subsystem

#include "incls_all.hpp"

namespace rw::chibitsu {

//------------------------------------------------------------------------------
Sumomo_b::Sumomo_b() : Sumomo_b{"sumomo_b_obj"} {}

//------------------------------------------------------------------------------
Sumomo_b::Sumomo_b(std::string const& handle) : Chibitsu{handle} {}

//------------------------------------------------------------------------------
Sumomo::Sumomo() : Sumomo{"sumomo_obj"} {}

//------------------------------------------------------------------------------
Sumomo::Sumomo(std::string const& handle) : Sumomo_b{handle} {}

//------------------------------------------------------------------------------
auto Sumomo::do_preflight() -> bool {
  // TODO:
  // do actual initialization here. eg, turn off embedded object's unneeded
  // members, ensure filesets are available & ready, connections are working,
  // etc., etc., etc.  :^)
  //

  // TODO: create an integrated systems/status terminal suite. mv this there.
  // -status msgs into one terminal, diag spew into another.
  // STATUS:
  printf("%s checks out A-OK!\n", hdl().c_str());
  return true;  // TEMP:
}

}  // namespace rw::chibitsu

//    --=^=--

// "EMERGENCY, EMERGENCY! THIS IS A CRISIS SITUATION!!"

// rw_chibitsu_lib.v211204
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
